| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Functions
math.h File Reference

## Functions

int | wxFinite (double x)
| Returns a non-zero value if x is neither infinite nor NaN (not a number), returns 0 otherwise.
bool | wxIsNaN (double x)
| Returns a non-zero value if x is NaN (not a number), returns 0 otherwise.
wxFloat64 | wxConvertFromIeeeExtended (const wxInt8 *bytes)
| Converts the given array of 10 bytes (corresponding to 80 bits) to a float number according to the IEEE floating point standard format (aka IEEE standard 754).
void | wxConvertToIeeeExtended (wxFloat64 num, wxInt8 *bytes)
| Converts the given floating number num in a sequence of 10 bytes which are stored in the given array bytes (which must be large enough) according to the IEEE floating point standard format (aka IEEE standard 754).
int | wxRound (double x)
| Small wrapper around round().
bool | wxIsSameDouble (double x, double y)
| Returns true if both double values are identical.
bool | wxIsNullDouble (double x)
| Return true of x is exactly zero.